Home > BLOG > INTERNET > Cannot redeclare security_update() (previously declared: Ecco come risolvere il problema

Cannot redeclare security_update() (previously declared: Ecco come risolvere il problema

wordpress-release

Anche noi siamo stati colpiti da questo attacco informatico verso i blog marchiati WordPress. Ancora non si è riuscito a capire chi ci ha fatto questo scherzo, ma sembra che moltissimi blog siano stati colpiti. Vediamo subito come ripristinare il nostro blog in pochi secondi…

Alcuni mal intenzionati sono riusciti a inserire del codice javascript nelle index di wordpress, sia nella index principale che in quella del amministrazione. L’unica soluzione è ripristinare le due pagine prendendole da un backup oppure riscaricando il tema in uso.

Se non dovesse funzionare è necessario anche sostituire i file default-widgets.php e default-filters.php nella cartella wp-include. Nella nostra installazione di wordpress era stato inserito codice anche in queste pagine.

Stiamo aggiornando alla versione 2.8.4 ma non sono sicuro che questa ultima versione sia immune a questo bug.

Se avete altre notizie potete scrivere commenti in modo da aiutare gli altri malcapitati.

Termini di ricerca frequenti:

  • tobbydigital

    hi,

    i dont speak any italian, but i did translate it :)

    i got the same problem at three (from ca. 30) of my sites yesterday. In fact these three sites have no common issues.
    One is static, the others use a db. I dont use a blog. So it cant be sql injection or a blog / shop plugin.

    The only thing it could be is a bug in the ftp programm.

    I used firetp.

    Problem solved with restoring my backups.

  • Hi tobbydigital,
    I’m using core ftp. I don’t know about this problem. I restoring my backup too. There was a javascript in my index.php.

  • rodolfo

    Ho visto che anche qui c’è una soluzione
    http://www.goatseo.com/virus-sui-server-aruba/